<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__uds__descr__value__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_uds_descr_value_t</compoundname>
    <includes local="no">cy_ble_uds.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__uds__descr__value__t_1a1d7c253fe0868dd1726348ec0de1f510" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_uds_descr_value_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Peer Device Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_uds.h" bodystart="140" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_uds.h" line="140" />
      </memberdef>
      <memberdef id="structcy__stc__ble__uds__descr__value__t_1a496280ba3eaefed70f0dfde6f4876da8" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___u_d_s__definitions_1gaf00de3e5ee5bbb9ee8adc03b529c3a5a">cy_en_ble_uds_char_index_t</ref></type>
        <definition>cy_en_ble_uds_char_index_t cy_stc_ble_uds_descr_value_t::charIndex</definition>
        <argsstring />
        <name>charIndex</name>
        <briefdescription>
<para>Index of Service Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_uds.h" bodystart="141" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_uds.h" line="141" />
      </memberdef>
      <memberdef id="structcy__stc__ble__uds__descr__value__t_1aefde12a9c1937cc4dd9d086c272435e8" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___u_d_s__definitions_1gaeadd17ca8322f392312e84aa381dfb5c">cy_en_ble_uds_descr_index_t</ref></type>
        <definition>cy_en_ble_uds_descr_index_t cy_stc_ble_uds_descr_value_t::descrIndex</definition>
        <argsstring />
        <name>descrIndex</name>
        <briefdescription>
<para>Index of Service Characteristic descriptor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_uds.h" bodystart="142" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_uds.h" line="142" />
      </memberdef>
      <memberdef id="structcy__stc__ble__uds__descr__value__t_1a672c3dba084d1bdcd9cc7b0a5d3717ce" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__value__t">cy_stc_ble_gatt_value_t</ref> *</type>
        <definition>cy_stc_ble_gatt_value_t* cy_stc_ble_uds_descr_value_t::value</definition>
        <argsstring />
        <name>value</name>
        <briefdescription>
<para>Descriptor value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_uds.h" bodystart="143" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_uds.h" line="143" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>UDS Characteristic descriptor Value parameter structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="1287">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="1286">
        <label>cy_stc_ble_gatt_value_t</label>
        <link refid="structcy__stc__ble__gatt__value__t" />
      </node>
      <node id="1285">
        <label>cy_stc_ble_uds_descr_value_t</label>
        <link refid="structcy__stc__ble__uds__descr__value__t" />
        <childnode refid="1286" relation="usage">
          <edgelabel>value</edgelabel>
        </childnode>
        <childnode refid="1287" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="144" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_uds.h" bodystart="138" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_uds.h" line="139" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__uds__descr__value__t_1a496280ba3eaefed70f0dfde6f4876da8" virt="non-virtual"><scope>cy_stc_ble_uds_descr_value_t</scope><name>charIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__uds__descr__value__t_1a1d7c253fe0868dd1726348ec0de1f510" virt="non-virtual"><scope>cy_stc_ble_uds_descr_value_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__uds__descr__value__t_1aefde12a9c1937cc4dd9d086c272435e8" virt="non-virtual"><scope>cy_stc_ble_uds_descr_value_t</scope><name>descrIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__uds__descr__value__t_1a672c3dba084d1bdcd9cc7b0a5d3717ce" virt="non-virtual"><scope>cy_stc_ble_uds_descr_value_t</scope><name>value</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>